# get

fun < T > ERROR CLASS: Symbol not found for Koin. get (definition: ERROR CLASS: Symbol not found for BeanDefinition<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the Koin container using a BeanDefinition.

#### Return

An instance of type T

#### Parameters

definition

The bean definition to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve

fun < T > ERROR CLASS: Symbol not found for Koin. get (definition: ERROR CLASS: Symbol not found for InstanceFactory<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the Koin container using an InstanceFactory.

#### Return

An instance of type T

#### Parameters

definition

The instance factory to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve

fun < T > ERROR CLASS: Symbol not found for Koin. get (definition: ERROR CLASS: Symbol not found for KoinDefinition<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the Koin container using a KoinDefinition.

#### Return

An instance of type T

#### Parameters

definition

The Koin definition to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve

fun < T > ERROR CLASS: Symbol not found for Scope. get (definition: ERROR CLASS: Symbol not found for BeanDefinition<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the current scope using a BeanDefinition.

#### Return

An instance of type T

#### Parameters

definition

The bean definition to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve

fun < T > ERROR CLASS: Symbol not found for Scope. get (definition: ERROR CLASS: Symbol not found for InstanceFactory<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the current scope using an InstanceFactory.

#### Return

An instance of type T

#### Parameters

definition

The instance factory to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve

fun < T > ERROR CLASS: Symbol not found for Scope. get (definition: ERROR CLASS: Symbol not found for KoinDefinition<T>, parameters: ERROR CLASS: Symbol not found for ParametersDefinition?? = null): T (source)

Retrieves an instance of type T from the current scope using a KoinDefinition.

#### Return

An instance of type T

#### Parameters

definition

The Koin definition to use for instance retrieval

parameters

Optional parameters to pass to the instance constructor

#### Type Parameters

T

The type of instance to retrieve